Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.contentdirectory.descriptor.didl
Class ObjectFactory

    java.lang.Object
      org.teleal.cling.support.contentdirectory.descriptor.didl.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the org.teleal.cling.support.contentdirectory.descriptor.didl package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.teleal.cling.support.contentdirectory.descriptor.didl

Method Summary
`Container` | `createContainer()` Create an instance of `Container`
`Desc` | `createDesc()` Create an instance of `Desc`
`DIDLLite` | `createDIDLLite()` Create an instance of `DIDLLite`
`Item` | `createItem()` Create an instance of `Item`
`Res` | `createRes()` Create an instance of `Res`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.teleal.cling.support.contentdirectory.descriptor.didl

Method Detail

### createItem

    public Item createItem()

  Create an instance of `Item`

### createDIDLLite

    public DIDLLite createDIDLLite()

  Create an instance of `DIDLLite`

### createContainer

    public Container createContainer()

  Create an instance of `Container`

### createRes

    public Res createRes()

  Create an instance of `Res`

### createDesc

    public Desc createDesc()

  Create an instance of `Desc`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.